<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white">
    <android.support.v7.widget.Toolbar
        android:id="@+id/tb_main"
        android:layout_width="match_parent"
        android:layout_height="@dimen/height_tab_bar"
        android:background="@color/colorPrimary">
        <!--android:layout_height="?attr/actionBarSize"-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="登录账号"
                android:textColor="@color/white"
                android:textSize="@dimen/text_title"
                android:layout_marginLeft="@dimen/margin_default"/>
        </LinearLayout>
    </android.support.v7.widget.Toolbar>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/margin_default"
        android:text="要在该设备使用失物树，请先登录或添加新账号"
        android:textSize="@dimen/text_normal"
        android:textColor="@color/gray_text_s"
        android:layout_marginLeft="@dimen/margin_default"
        android:layout_marginTop="@dimen/margin_default"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:background="@drawable/shape_radius_green_stroke"
        android:layout_marginLeft="@dimen/margin_default"
        android:layout_marginRight="@dimen/margin_default">
        <EditText
            android:id="@+id/et_email"
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_edit_text"
            android:background="@color/transparent"
            android:gravity="center_vertical"
            android:hint="邮箱"
            android:singleLine="true"
            android:textSize="@dimen/text_normal_p"
            android:textColor="@color/gray_text"
            android:textColorHint="@color/gray_text_hint"
            android:textCursorDrawable="@null"
            android:paddingLeft="@dimen/margin_s"
            android:paddingRight="@dimen/margin_s"
            android:maxLength="30"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_divider"
            android:background="@color/colorPrimary" />

        <EditText
            android:id="@+id/et_password"
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_edit_text"
            android:background="@color/transparent"
            android:gravity="center_vertical"
            android:hint="密码"
            android:singleLine="true"
            android:textSize="@dimen/text_normal_p"
            android:textColor="@color/gray_text"
            android:textColorHint="@color/gray_text_hint"
            android:textCursorDrawable="@null"
            android:paddingLeft="@dimen/margin_s"
            android:paddingRight="@dimen/margin_s"
            android:imeOptions="actionNext"
            android:inputType="textPassword"
            android:maxLength="30"/>
    </LinearLayout>

    <Button
        android:id="@+id/btn_login"
        android:layout_width="match_parent"
        android:minWidth="@dimen/size_zero"
        android:minHeight="@dimen/height_edit_text"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_default"
        android:layout_marginLeft="@dimen/margin_default"
        android:layout_marginRight="@dimen/margin_default"
        android:background="@drawable/selector_radius_green"
        android:text="登 录"
        android:textSize="@dimen/text_sub_title"
        android:textColor="@color/white"
        android:gravity="center"
        style="?android:attr/borderlessButtonStyle"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="@dimen/margin_default">
        <TextView
            android:id="@+id/tv_forget"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingBottom="@dimen/margin_default"
            android:text="忘记密码"
            android:textSize="@dimen/text_normal"
            android:textColor="@color/gray_text_s"
            android:layout_marginLeft="@dimen/margin_default"/>

        <Space
            android:layout_width="@dimen/size_zero"
            android:layout_height="wrap_content"
            android:layout_weight="1"/>

        <TextView
            android:id="@+id/tv_register"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingBottom="@dimen/margin_default"
            android:text="注册账号"
            android:textSize="@dimen/text_normal"
            android:textColor="@color/colorPrimary"
            android:layout_marginRight="@dimen/margin_default"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="@dimen/margin_default"
        android:layout_marginLeft="@dimen/margin_default"
        android:layout_marginRight="@dimen/margin_default"
        android:gravity="center_vertical">
        <View
            android:layout_width="@dimen/size_zero"
            android:layout_height="@dimen/height_divider"
            android:layout_weight="1"
            android:background="@color/gray_divider_light"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="第三方登录"
            android:textSize="@dimen/text_s"
            android:textColor="@color/gray_text_hint"
            android:layout_marginLeft="@dimen/margin_s"
            android:layout_marginRight="@dimen/margin_s"/>
        <View
            android:layout_width="@dimen/size_zero"
            android:layout_height="@dimen/height_divider"
            android:layout_weight="1"
            android:background="@color/gray_divider_light"/>
    </LinearLayout>


    <ImageView
        android:id="@+id/iv_login_qq"
        android:layout_width="@dimen/size_image_normal"
        android:layout_height="@dimen/size_image_normal"
        android:src="@mipmap/logo_qq"
        android:layout_marginTop="@dimen/margin_default"
        android:layout_gravity="center_horizontal"/>
</LinearLayout>
